---
title: Events
slug: events
createdAt: 2026-10-20T09:51:11.729Z
---

{
  "id": "7CY7WMG2Xn2rO0GVnV89M",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://tnapi.ticketpay.de/exports/events",
    "servers": [
      {
        "url": "https://tnapi.ticketpay.de/exports/events",
        "description": "The production API server"
      }
    ],
    "name": "Events",
    "description": "<p>With this endpoint you can get a list of your events. The default output is JSON.\nFor results in a CSV file please extend the url with .csv\nIf you use time filter please note that this is used by default to the 'updated_iso' field. If you wish to use it to the 'created_iso' field please use filter_by parameter.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "<p>To authentificate please use your API-KEY created here <a href=\"https://iam.ticketpay.de/api-keys\" target=\"_blank\">https://iam.ticketpay.de/api-keys</a>. Please give this API-KEY the role Export.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "from",
          "type": "string",
          "example": "2025-05-01T00:00:00.000",
          "description": "<p>A date or datetime parameter to select the data start with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "to",
          "type": "string",
          "example": "2025-05-05",
          "description": "<p>A date or datetime parameter to select the data end with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "filter_by",
          "type": "string",
          "example": "created_iso",
          "description": "<p>Datetime filter field. Default value is updated_iso. Possible values are created_iso and updated_iso</p>"
        },
        {
          "kind": "optional",
          "name": "time_period",
          "type": "string",
          "description": "<p>If you dont want to use from and to you can use a time period to select data with a special period. Possible values are months, days, hours, minutes, seconds</p>"
        },
        {
          "kind": "optional",
          "name": "time_range",
          "type": "integer",
          "description": "<p>A time range is needed if you use the time_period parameter to select data. For exapmle you want tho get the last two months - time_period is months and time_range is 2</p>"
        },
        {
          "kind": "optional",
          "name": "id",
          "type": "integer",
          "description": "To filter the results you can pass here the id of your event to get only this one in result"
        },
        {
          "kind": "optional",
          "name": "shop_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the shop_id of your organizer shop</p>"
        },
        {
          "kind": "optional",
          "name": "event_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the event_id of one out yours events</p>"
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "description": "To filter the results you can pass here the status of events. The results will put all events with this status."
        },
        {
          "kind": "optional",
          "name": "per_page",
          "type": "integer",
          "description": "For pagination. Defines the number of data per page in the output."
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "For pagination. Defines the page number for the data output."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Response for get events.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "get_events",
            "schema": [
              {
                "name": "total",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 19
              },
              {
                "name": "page",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 1
              },
              {
                "name": "size",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 19
              },
              {
                "name": "data",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 78410
                  },
                  {
                    "name": "name_de",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Meine Eventparty"
                  },
                  {
                    "name": "name_en",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "My party"
                  },
                  {
                    "name": "startcode",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "XC12PS4B"
                  },
                  {
                    "name": "start_time",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2021-04-13T09:00:00+02:00"
                  },
                  {
                    "name": "end_time",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2021-04-13T19:00:00+02:00"
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "active"
                  },
                  {
                    "name": "shop_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 1234
                  },
                  {
                    "name": "logo_url",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "https://s3.eu-central-1.amazonaws.com/images.ticketpay.de/event_logo.jpg"
                  },
                  {
                    "name": "location_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "HomeArena"
                  },
                  {
                    "name": "location_address",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Musterstrasse 32,55555,Musterort,DE"
                  },
                  {
                    "name": "homepage",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "https://www.ticketpay.de"
                  },
                  {
                    "name": "created_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2021-04-08T19:20:41+02:00"
                  },
                  {
                    "name": "updated_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-05-17T10:23:11+02:00"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/get_events",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Response for a failed authentification.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "not_authorized",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Unauthorized"
              }
            ],
            "modelRef": "#/components/schemas/not_authorized",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://tnapi.ticketpay.de/exports/events \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://tnapi.ticketpay.de/exports/events\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://tnapi.ticketpay.de/exports/events\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://tnapi.ticketpay.de/exports/events\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Response for get events.\n{\n  \"total\": 19,\n  \"page\": 1,\n  \"size\": 19,\n  \"data\": [\n    {\n      \"id\": 78410,\n      \"name_de\": \"Meine Eventparty\",\n      \"name_en\": \"My party\",\n      \"startcode\": \"XC12PS4B\",\n      \"start_time\": \"2021-04-13T09:00:00+02:00\",\n      \"end_time\": \"2021-04-13T19:00:00+02:00\",\n      \"status\": \"active\",\n      \"shop_id\": 1234,\n      \"logo_url\": \"https://s3.eu-central-1.amazonaws.com/images.ticketpay.de/event_logo.jpg\",\n      \"location_name\": \"HomeArena\",\n      \"location_address\": \"Musterstrasse 32,55555,Musterort,DE\",\n      \"homepage\": \"https://www.ticketpay.de\",\n      \"created_iso\": \"2021-04-08T19:20:41+02:00\",\n      \"updated_iso\": \"2022-05-17T10:23:11+02:00\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Response for a failed authentification.\n{\n  \"message\": \"Unauthorized\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}